<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__phy__preferences__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_phy_preferences_t</compoundname>
    <includes local="no">wiced_bt_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__phy__preferences__t_1acdc0097a9a3045b3daea5975107afb7f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_ble_phy_preferences_t::remote_bd_addr</definition>
        <argsstring />
        <name>remote_bd_addr</name>
        <briefdescription>
<para>Peer Device address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="300" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="300" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__phy__preferences__t_1aeb5aa9d74c8dfea87b3ef6fdc1f68a85" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1ga49163e545af54ff3bc6c49089a321f65">wiced_bt_ble_host_phy_preferences_t</ref></type>
        <definition>wiced_bt_ble_host_phy_preferences_t wiced_bt_ble_phy_preferences_t::tx_phys</definition>
        <argsstring />
        <name>tx_phys</name>
        <briefdescription>
<para>Host preference among the TX PHYs. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="301" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="301" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__phy__preferences__t_1a85cc54308c27259f6ce486f06e21ef57" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1ga49163e545af54ff3bc6c49089a321f65">wiced_bt_ble_host_phy_preferences_t</ref></type>
        <definition>wiced_bt_ble_host_phy_preferences_t wiced_bt_ble_phy_preferences_t::rx_phys</definition>
        <argsstring />
        <name>rx_phys</name>
        <briefdescription>
<para>Host preference among the RX PHYs. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="302" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="302" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__phy__preferences__t_1a82442a587d6c18386382487c3deacd42" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1ga59b3d0fab3900bde261ededd0afa2ac0">wiced_bt_ble_lelr_phy_preferences_t</ref></type>
        <definition>wiced_bt_ble_lelr_phy_preferences_t wiced_bt_ble_phy_preferences_t::phy_opts</definition>
        <argsstring />
        <name>phy_opts</name>
        <briefdescription>
<para>Host preference on LE coded PHY. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="303" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="303" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Host PHY preferences. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="304" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="298" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="299" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__phy__preferences__t_1a82442a587d6c18386382487c3deacd42" virt="non-virtual"><scope>wiced_bt_ble_phy_preferences_t</scope><name>phy_opts</name></member>
      <member prot="public" refid="structwiced__bt__ble__phy__preferences__t_1acdc0097a9a3045b3daea5975107afb7f" virt="non-virtual"><scope>wiced_bt_ble_phy_preferences_t</scope><name>remote_bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__ble__phy__preferences__t_1a85cc54308c27259f6ce486f06e21ef57" virt="non-virtual"><scope>wiced_bt_ble_phy_preferences_t</scope><name>rx_phys</name></member>
      <member prot="public" refid="structwiced__bt__ble__phy__preferences__t_1aeb5aa9d74c8dfea87b3ef6fdc1f68a85" virt="non-virtual"><scope>wiced_bt_ble_phy_preferences_t</scope><name>tx_phys</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>